Name:           qbzr
Version:        0.22.3
Release:        %mkrel 2
Summary:        QBzr is a cross-platform GUI front end for Bazaar, based on Qt toolkit
Summary(de):	Plattformunabhängige Qt GUI für Bazaar
Group:          Development/Other
License:        GPL
URL:            http://bazaar-vcs.org/QBzr
Source0:        https://launchpad.net/%{name}/stable/%{version}/+download/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildRequires:  python-devel 
BuildRequires:	bzr 
BuildRequires:	python-qt4
Requires:       python >= 2.7
Requires:       bzr >= 2.1
Requires:	python-qt4
Requires:	python-enchant
Requires:	python-pygments
Requires:	python-markupsafe
Obsoletes:  	%name < %version

%description
QBzr is a collection of GUI plugins for Bazaar.  Among the included
plugins are:
    * qadd -- GUI for adding files or directories
    * qannotate -- GUI interface for file annotation
    * qbrowse -- Browse your branch a-la Trac Browse Source
    * qcat -- View the contents of a file as of a given revision
    * qcommit -- GUI interface to enter log message and select changes to commit
    * qconfig -- Bazaar configuration
    * qdiff -- Side-by-side and unidiff view of changes.
    * qinfo -- information about branch
    * qinit -- Initialize new branch or shared repository
    * qlog -- Show log messages in GUI window.
    * qmerge -- Perform a three-way merge
    * qpull -- GUI interface for pull command
    * qpush -- GUI interface for push command
    * qrevert -- Revert changed files
    * qtag -- Edit tags 

%description -l de
QBzr ist eine Sammlung von GUI-Plugins für Bazaar. Ein Teil des Plugins sind:
* qadd -- GUI für das Hinzufügen von Dateien und Verzeichnissen
* qannotate -- GUI für Dateiannotationen
* qbrowse -- Den Code ansehen a-la Trac Browse Source
* qcat -- Den Inhalt einer Datei mit gegebener Revisionsnummer anzeigen
* qcommit -- GUI zum Eingeben von Log-Nachrichten 
* qconfig -- Bazaar konfigurieren
* qinfo -- Informationen über den Entwicklungszweig
* qinit -- Legt einen neuen Zweig an oder ein neues gemeinsames Repositorium
* qlog -- Log-Nachrichten in einem GUI-Fenster ansehen
* qmerge -- Zusammenfügen von Zweigen
* qpull -- GUI für den pull Befehl
* qpush -- GUI für den push Befehl
* qrevert -- Dateiänderungen entfernen
* qtag -- Tags editieren

%prep
%setup -q -n %{name}


%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT 
# remove shebangs from all files as none should be executable scripts
sed -e '/^#!\//,1 d' -i $RPM_BUILD_ROOT/%py_puresitedir/bzrlib/plugins/qbzr/*.py


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%dir %py_puresitedir/bzrlib/plugins/qbzr
%py_puresitedir/bzrlib/plugins/qbzr/*.py

%dir %py_puresitedir/bzrlib/plugins/qbzr/lib
%py_puresitedir/bzrlib/plugins/qbzr/lib/*.py

%dir %py_puresitedir/bzrlib/plugins/qbzr/lib/tests
%py_puresitedir/bzrlib/plugins/qbzr/lib/tests/*.py

%dir %py_puresitedir/bzrlib/plugins/qbzr/lib/extra
%py_puresitedir/bzrlib/plugins/qbzr/lib/extra/*.py

%dir %py_puresitedir/bzrlib/plugins/qbzr/lib/widgets
%py_puresitedir/bzrlib/plugins/qbzr/lib/widgets/*

%dir %py_puresitedir/bzrlib/plugins/qbzr/locale
%py_puresitedir/bzrlib/plugins/qbzr/locale/*

%py_puresitedir/bzrlib/plugins/qbzr/*.txt

%py_puresitedir/qbzr*.egg-info


%changelog
* Sat Aug 17 2013 billybot <billybot> 0.22.3-2pclos2013
- update python 2.7

* Thu May 31 2012 Neal <nealbrks0 at gmail dot com> 0.22.3-1pclos2012
- process

* Thu May 31 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.22.3-1pclos2012
- 0.22.3
- added german summary and description
- added widgets entry in files section

* Fri Oct 14 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 0.20.1-2pclos2011
- Rebuild for x86_64

* Mon May 02 2011 Texstar <texstar at gmail.com> 0.20.1-1pclos2011
- 0.20.1

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.19-1pclos2010
- import into pclos from mdv

